import unittest
import base64
from pathlib import Path

import requests



url = 'http://192.168.199.107:18080'


def send_request(image_path, image_type):
    with open(image_path, 'rb') as f:
        img_str: str = base64.encodebytes(f.read()).decode('utf-8')
        r = requests.post(f'{url}/ocr_system/idcard', json={'image': img_str, 'image_type': image_type})
        print(r.json())
        return r.json()


class TestIdCardAddress(unittest.TestCase):
    def _helper(self, image_path, address):
        root = Path(__file__).parent
        image_path = str(root / image_path)
        r = send_request(image_path, '0')
        self.assertEqual(address, r['result']['address']['text'], f'{image_path} address case error')

    def test_01(self):
        image_path = '../images/false/miss_address/01.jpg'
        self._helper(image_path, '云南省曲靖市罗平县阿岗镇阿岗居委会阿岗村')

    def test_02(self):
        image_path = '../images/false/miss_address/02.png'
        self._helper(image_path, '内蒙古包头市昆都仑区昆河镇刘二圪梁村393号')

    def test_03(self):
        image_path = '../images/false/miss_address/03.jpg'
        self._helper(image_path, '安徽省合肥市包河区紫云路滨湖世纪城春融苑3幢1202室')

    def test_04(self):
        image_path = '../images/false/miss_address/04.png'
        self._helper(image_path, '呼和浩特市玉泉区泉源巷31号伊利集体户')

    def test_05(self):
        image_path = '../images/false/miss_address/05.jpg'
        self._helper(image_path, '西安市长安区樱花一路666号8栋1单元23层2号')


if __name__ == '__main__':
    unittest.main()
